package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.app.domain.StorageStatus;
import com.bonus.sgzb.base.api.domain.MachinePart;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：梁超
 * @date：2024/4/19 - 17:51
 */
@Mapper
public interface HoldingLedgerMapper {
    List<StorageStatus> getHoldingLedger(StorageStatus storageStatus);

    List<MachinePart> getWholeSetDetails(StorageStatus storageStatus);

    StorageStatus getHoldingLedgerUserNum(MachinePart wholeSetDetail);

    String getMaSupplier(MachinePart wholeSetDetail);
}
